# MS-Connector v1.6.2 Release vom 09.10.2024

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Bugfix
    - Erneute ERnP Eintragung bei keinem aktiven _search-by-MDS_ Ergebnissen, jedoch "search_by_PersonIdentifier" Ergebnis mit beendetem ERnP Eintrag unterbunden
  - Feature
      - Spezifischer Fehlercode im Falle eines unvollständigen Geburtsdatum eingefügt
  - Logging optimiert
  - Aktualisierung von Drittherstellerbibliotheken
    - jackson 2.18.2
    - commons-io 2.18.0


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.6.2. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.6.x 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an

2. Entpacken Sie das Releasepacket *ms_specific_connector-1.6.2-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.

3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers

4. * Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde

     * Vollständige Übernahme: __MsConnectorPackage__/config/misc/error_conf.yaml
     * Vollständige Übernahme: __MsConnectorPackage__/config/properties/*

     

     

     